# Class MonitorStats

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.visualizers.MonitorStats

All Implemented Interfaces:
  `Serializable, Cloneable, Searchable, TestElement`

public class MonitorStats extends AbstractTestElement implements Serializable

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`MonitorStats()`
`MonitorStats(int health, int load, int cpuload, int memload, int threadload, String host, String port, String protocol, long time)`
Default constructor

## Method Summary

Modifier and Type
Method
Description
`int`
`getCpuLoad()`
`int`
`getHealth()`
`String`
`getHost()`
`int`
`getLoad()`
`int`
`getMemLoad()`
`String`
`getPort()`
`String`
`getProtocol()`
`int`
`getThreadLoad()`
`long`
`getTimeStamp()`
`String`
`getURL()`
For convienance, this method returns the protocol, host and port as a URL.
`void`
`setCpuLoad(int load)`
`void`
`setHealth(int health)`
`void`
`setHost(String host)`
`void`
`setLoad(int load)`
`void`
`setMemLoad(int load)`
`void`
`setPort(String port)`
`void`
`setProtocol(String protocol)`
`void`
`setThreadLoad(int load)`
`void`
`setTimeStamp(long time)`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MonitorStats

public MonitorStats()

### MonitorStats

public MonitorStats(int health, int load, int cpuload, int memload, int threadload, String host, String port, String protocol, long time)
Default constructor

Parameters:
  `health` - Health of the server. Has to be one of `HEALTHY`, `ACTIVE`, `WARNING` or `DEAD`
  `load` - load of the server as integer from a range in between 1 and 100
  `cpuload` - cpu load of the server as integer from range between 1 and 100
  `memload` - load of the server as integer from a range in between 1 and 100
  `threadload` - thread load of the server as an integer from a range in between 1 and 100
  `host` - name of the host from which the status was taken
  `port` - port from which the status was taken
  `protocol` - over which the status was taken
  `time` - time in milliseconds when this status was created

## Method Details

### getURL

public String getURL()
For convienance, this method returns the protocol, host and port as a URL.

Returns:
  protocol://host:port

### setHealth

public void setHealth(int health)

### setLoad

public void setLoad(int load)

### setCpuLoad

public void setCpuLoad(int load)

### setMemLoad

public void setMemLoad(int load)

### setThreadLoad

public void setThreadLoad(int load)

### setHost

public void setHost(String host)

### setPort

public void setPort(String port)

### setProtocol

public void setProtocol(String protocol)

### setTimeStamp

public void setTimeStamp(long time)

### getHealth

public int getHealth()

### getLoad

public int getLoad()

### getCpuLoad

public int getCpuLoad()

### getMemLoad

public int getMemLoad()

### getThreadLoad

public int getThreadLoad()

### getHost

public String getHost()

### getPort

public String getPort()

### getProtocol

public String getProtocol()

### getTimeStamp

public long getTimeStamp()